> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apitransfers credentials

> Refresh credentials for a long-running transfer.



## OpenAPI

````yaml /api-reference/openapi.yaml post /api/transfers/{id}/credentials/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/transfers/{id}/credentials/:
    post:
      tags:
        - api
      description: Refresh credentials for a long-running transfer.
      operationId: api_transfers_credentials_create
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferCredentialsResponse'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    TransferCredentialsResponse:
      type: object
      properties:
        credentials:
          type: object
          additionalProperties: {}
        endpoint:
          type: string
        prefix:
          type: string
        expires_at:
          type: string
          format: date-time
      required:
        - credentials
        - endpoint
        - expires_at
        - prefix

````